Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.server.jmx
Class DestinationManager

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.mq.server.jmx.InterceptorMBeanSupport
                  org.jboss.mq.server.jmx.DestinationManager

All Implemented Interfaces:
  DestinationManagerMBean, InterceptorMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, org.jboss.system.Service, org.jboss.system.ServiceMBean

public class DestinationManager
extends InterceptorMBeanSupport
implements DestinationManagerMBean

JMX MBean implementation for JBossMQ.

Version:
  $Revision: 1.13.4.1 $
Author:
  Vincent Sheffer (vsheffer@telkel.com), Juha Lindfors, Hiram Chirino

Field Summary
`String` | `jndiBindLocation`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`DestinationManager()`

Method Summary
`protected void` | `createDestination(String type, javax.management.ObjectName name, String jndiLocation)`
`void` | `createQueue(String name)`
`void` | `createQueue(String name, String jndiLocation)`
`protected void` | `createService()`
`void` | `createTopic(String name)`
`void` | `createTopic(String name, String jndiLocation)`
`protected void` | `destroyDestination(javax.management.ObjectName name)`
`void` | `destroyQueue(String name)`
`protected void` | `destroyService()`
`void` | `destroyTopic(String name)`
`int` | `getClientCount()`
`Map` | `getClients()`
`JMSServerInterceptor` | `getInterceptor()`
`javax.management.ObjectName` | `getMessageCache()` Get the value of MessageCache.
`MessageCounter[]` | `getMessageCounter()` get message counter of all configured destinations
`int` | `getMessageCounterHistoryDayLimit()` Gets the destination message counter history day limit
`MessageStatistics[]` | `getMessageStatistics()` get message stats
`protected javax.management.ObjectName` | `getObjectName(javax.management.MBeanServer server, javax.management.ObjectName name)`
`javax.management.ObjectName` | `getPersistenceManager()` Get the value of PersistenceManager.
`protected javax.management.ObjectName` | `getQueueObjectName(String name)`
`Class` | `getReceiversImpl()` Get the receivers implemenetation
`protected org.jboss.system.ServiceControllerMBean` | `getServiceController()`
`javax.management.ObjectName` | `getStateManager()` Get the value of StateManager.
`boolean` | `getTemporaryInMemory()` Retrieve the temporary topic/queue in memory mode
`int` | `getTemporaryMaxDepth()` Retrieve the temporary topic/queue max depth
`protected javax.management.ObjectName` | `getTopicObjectName(String name)`
`String` | `listMessageCounter()` List message counter of all configured destinations as HTML table
`void` | `resetMessageCounter()` Reset message counter of all configured destinations
`void` | `setMessageCache(javax.management.ObjectName objectName)` Set the value of MessageCache.
`void` | `setMessageCounterHistoryDayLimit(int days)` Sets the destination message counter history day limit <0: unlimited, =0: disabled, > 0 maximum day count
`void` | `setPersistenceManager(javax.management.ObjectName objectName)` Set the value of PersistenceManager.
`void` | `setReceiversImpl(Class clazz)` Set the receivers implementation class
`void` | `setStateManager(javax.management.ObjectName objectName)` Set the value of StateManager.
`void` | `setTemporaryInMemory(boolean mode)` Set the temporary topic/queue in memory mode
`void` | `setTemporaryMaxDepth(int depth)` Set the temporary topic/queue max depth
`protected void` | `startService()`
`protected void` | `stopService()`

Methods inherited from class org.jboss.mq.server.jmx.InterceptorMBeanSupport
`getNextInterceptor, setNextInterceptor`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, destroy, getLog, getName, getNextNotificationSequenceNumber, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.mq.server.jmx.InterceptorMBean
`getNextInterceptor, setNextInterceptor`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### jndiBindLocation

    public String jndiBindLocation

Constructor Detail

### DestinationManager

    public DestinationManager()

Method Detail

### getClientCount

    public int getClientCount()

  Specified by:
    `getClientCount` in interface `DestinationManagerMBean`
  Returns:
    the count of active clients

### getClients

    public Map getClients()

  Specified by:
    `getClients` in interface `DestinationManagerMBean`
  Returns:
    a Map of current clients

### getPersistenceManager

    public javax.management.ObjectName getPersistenceManager()

  Get the value of PersistenceManager.

  Specified by:
    `getPersistenceManager` in interface `DestinationManagerMBean`
  Returns:
    value of PersistenceManager.

### setPersistenceManager

    public void setPersistenceManager(javax.management.ObjectName objectName)

  Set the value of PersistenceManager.

  Specified by:
    `setPersistenceManager` in interface `DestinationManagerMBean`

### getStateManager

    public javax.management.ObjectName getStateManager()

  Get the value of StateManager.

  Specified by:
    `getStateManager` in interface `DestinationManagerMBean`
  Returns:
    value of StateManager.

### setStateManager

    public void setStateManager(javax.management.ObjectName objectName)

  Set the value of StateManager.

  Specified by:
    `setStateManager` in interface `DestinationManagerMBean`

### getMessageCache

    public javax.management.ObjectName getMessageCache()

  Get the value of MessageCache.

  Specified by:
    `getMessageCache` in interface `DestinationManagerMBean`
  Returns:
    value of MessageCache.

### setMessageCache

    public void setMessageCache(javax.management.ObjectName objectName)

  Set the value of MessageCache.

  Specified by:
    `setMessageCache` in interface `DestinationManagerMBean`

### getTemporaryMaxDepth

    public int getTemporaryMaxDepth()

  Retrieve the temporary topic/queue max depth

  Specified by:
    `getTemporaryMaxDepth` in interface `DestinationManagerMBean`
  Returns:
    the maximum depth

### setTemporaryMaxDepth

    public void setTemporaryMaxDepth(int depth)

  Set the temporary topic/queue max depth

  Specified by:
    `setTemporaryMaxDepth` in interface `DestinationManagerMBean`
  Parameters:
    `depth` - the maximum depth

### getTemporaryInMemory

    public boolean getTemporaryInMemory()

  Retrieve the temporary topic/queue in memory mode

  Specified by:
    `getTemporaryInMemory` in interface `DestinationManagerMBean`
  Returns:
    true for in memory

### setTemporaryInMemory

    public void setTemporaryInMemory(boolean mode)

  Set the temporary topic/queue in memory mode

  Specified by:
    `setTemporaryInMemory` in interface `DestinationManagerMBean`
  Parameters:
    `mode` - true for in memory

### getReceiversImpl

    public Class getReceiversImpl()

  Get the receivers implemenetation

  Specified by:
    `getReceiversImpl` in interface `DestinationManagerMBean`
  Returns:
    the receivers implementation class

### setReceiversImpl

    public void setReceiversImpl(Class clazz)

  Set the receivers implementation class

  Specified by:
    `setReceiversImpl` in interface `DestinationManagerMBean`
  Parameters:
    `clazz` - the receivers implementation class

### createQueue

    public void createQueue(String name)
                     throws Exception

  Specified by:
    `createQueue` in interface `DestinationManagerMBean`
  Throws:
    `Exception`

### createTopic

    public void createTopic(String name)
                     throws Exception

  Specified by:
    `createTopic` in interface `DestinationManagerMBean`
  Throws:
    `Exception`

### createQueue

    public void createQueue(String name,
                            String jndiLocation)
                     throws Exception

  Specified by:
    `createQueue` in interface `DestinationManagerMBean`
  Throws:
    `Exception`

### createTopic

    public void createTopic(String name,
                            String jndiLocation)
                     throws Exception

  Specified by:
    `createTopic` in interface `DestinationManagerMBean`
  Throws:
    `Exception`

### createDestination

    protected void createDestination(String type,
                                     javax.management.ObjectName name,
                                     String jndiLocation)
                              throws Exception

  Throws:
    `Exception`

### destroyQueue

    public void destroyQueue(String name)
                      throws Exception

  Specified by:
    `destroyQueue` in interface `DestinationManagerMBean`
  Throws:
    `Exception`

### destroyTopic

    public void destroyTopic(String name)
                      throws Exception

  Specified by:
    `destroyTopic` in interface `DestinationManagerMBean`
  Throws:
    `Exception`

### destroyDestination

    protected void destroyDestination(javax.management.ObjectName name)
                               throws Exception

  Throws:
    `Exception`

### getObjectName

    protected javax.management.ObjectName getObjectName(javax.management.MBeanServer server,
                                                        javax.management.ObjectName name)
                                                 throws javax.management.MalformedObjectNameException

  Throws:
    `javax.management.MalformedObjectNameException`

### stopService

    protected void stopService()

### getTopicObjectName

    protected javax.management.ObjectName getTopicObjectName(String name)
                                                      throws javax.management.MalformedObjectNameException

  Throws:
    `javax.management.MalformedObjectNameException`

### getQueueObjectName

    protected javax.management.ObjectName getQueueObjectName(String name)
                                                      throws javax.management.MalformedObjectNameException

  Throws:
    `javax.management.MalformedObjectNameException`

### getServiceController

    protected org.jboss.system.ServiceControllerMBean getServiceController()

### getInterceptor

    public JMSServerInterceptor getInterceptor()

  Specified by:
    `getInterceptor` in interface `InterceptorMBean`
  See Also:
    `InterceptorMBean.getInterceptor()`

### createService

    protected void createService()
                          throws Exception

  Throws:
    `Exception`
  See Also:
    `ServiceMBeanSupport#createService()`

### startService

    protected void startService()
                         throws Exception

  Overrides:
    `startService` in class `InterceptorMBeanSupport`
  Throws:
    `Exception`

### destroyService

    protected void destroyService()

### setMessageCounterHistoryDayLimit

    public void setMessageCounterHistoryDayLimit(int days)

  Sets the destination message counter history day limit <0: unlimited, =0: disabled, > 0 maximum day count

  Specified by:
    `setMessageCounterHistoryDayLimit` in interface `DestinationManagerMBean`
  Parameters:
    `days` - maximum day count

### getMessageCounterHistoryDayLimit

    public int getMessageCounterHistoryDayLimit()

  Gets the destination message counter history day limit

  Specified by:
    `getMessageCounterHistoryDayLimit` in interface `DestinationManagerMBean`
  Returns:
    Maximum day count

### getMessageCounter

    public MessageCounter[] getMessageCounter()
                                       throws Exception

  get message counter of all configured destinations

  Specified by:
    `getMessageCounter` in interface `DestinationManagerMBean`
  Throws:
    `Exception`

### getMessageStatistics

    public MessageStatistics[] getMessageStatistics()
                                             throws Exception

  get message stats

  Specified by:
    `getMessageStatistics` in interface `DestinationManagerMBean`
  Throws:
    `Exception`

### listMessageCounter

    public String listMessageCounter()
                              throws Exception

  List message counter of all configured destinations as HTML table

  Specified by:
    `listMessageCounter` in interface `DestinationManagerMBean`
  Throws:
    `Exception`

### resetMessageCounter

    public void resetMessageCounter()

  Reset message counter of all configured destinations

  Specified by:
    `resetMessageCounter` in interface `DestinationManagerMBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.